stages:
  - build
  - test
  - deploy_datapkg

include:
  - project: 'lhcb-core/ci-utils'
    ref: master
    file: '/data-pkg-deployment/build-and-deploy.yml'

build:
  stage: build
  script:
    - make

test:
  stage: test
  image: gitlab-registry.cern.ch/lhcb-core/lbdocker/centos7-build
  tags:
    - cvmfs
  script:
    - git --version
    - scripts/check-diffs
